#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.1.0.0
visibility:           public
id:                   ghcide-1.1.0.0-FDKYQMGolCWAOFdro071DP
key:                  ghcide-1.1.0.0-FDKYQMGolCWAOFdro071DP
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:             https://github.com/haskell/ghcide#readme
synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  a89bb714352c6da733d611922d93ca5c
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Compile Development.IDE.Core.Debouncer
    Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor Development.IDE.Core.RuleTypes
    Development.IDE.Core.Rules Development.IDE.Core.Service
    Development.IDE.Core.Shake Development.IDE.Core.Tracing
    Development.IDE.GHC.Compat Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-8.10.4/site-local/ghcide-1.1.0.0
library-dirs:         /usr/lib/ghc-8.10.4/site-local/ghcide-1.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/ghcide-1.1.0.0
hs-libraries:         HSghcide-1.1.0.0-FDKYQMGolCWAOFdro071DP
depends:
    Diff-0.4.0-KyPtUOKlpskC2b7jcuQ1e4
    Glob-0.10.1-8pSmzn8ZtCqApES5DEzauS
    aeson-1.5.6.0-I7BbKEwOl3UEL7J6p5LGbn array-0.5.4.0
    async-2.2.3-bRJqoep3gj749cy8sss28 base-4.14.1.0
    base16-bytestring-1.0.1.0-JclBqFMO1eX94FYTHG5WbF binary-0.8.8.0
    bytestring-0.10.12.0
    bytestring-encoding-0.1.0.0-XM4IjbZH983SPdP0PRmQw
    case-insensitive-1.2.1.0-L4eezPrloIkFfLdkfuDqXK containers-0.6.2.1
    cryptohash-sha1-0.11.100.1-GwOGlQ9i8hY1wQXawIaKuh
    data-default-0.7.1.1-DVZWGRf90hqGebpGTaPvOV deepseq-1.4.4.0
    dependent-map-0.4.0.0-53S3UxHA9lQDquqwR7qAro
    dependent-sum-0.7.1.0-CvTxeIxTvQsGOJRQo4l1Ot directory-1.3.6.0
    dlist-1.0-KFY6kePYM7gDQLIElBL83C extra-1.7.9-B289Y5Rzkww81ONKh8ABWZ
    filepath-1.4.2.1 fingertree-0.1.4.2-1eqU243PteC26TTz42GcbA
    fuzzy-0.1.0.0-CR5Qp9Ac8Cea8Xemourki ghc-8.10.4 ghc-boot-8.10.4
    ghc-boot-th-8.10.4 ghc-check-0.5.0.3-G1sDnEZNNgI4LsfZa02R5u
    ghc-exactprint-0.6.4-3771fRgM43uJAk1Ga8YCrM
    ghc-paths-0.1.0.12-LgiNEBvorJD4Iq1vCUjVLQ
    haddock-library-1.10.0-FU130BPMcgs5puz4L8a1dj
    hashable-1.3.1.0-1TzQw0rlraYH9EvMt0jxBh
    heapsize-0.3.0.1-C8IFIzHgiXmECStS2StDDr
    hie-bios-0.7.5-8HqXytyZRjuEWPtG1TPCfr
    hie-compat-0.1.0.0-BawUS8x3AaLFtmpIwUJRjn
    hiedb-0.3.0.1-BSEVshkWkmwH7CIOsNLhcy
    hls-plugin-api-1.0.0.0-A1H8BAHiioa1nTMqrkcVAg
    hslogger-1.3.1.0-8ipL3Vi4TXI5YpLFy9Bzmk
    implicit-hie-cradle-0.3.0.2-LdqKlxAmr8z7EBMPeS5BkR
    lens-5.0.1-GQ9qIy7F2QRLy6pB6lHgUn
    lsp-1.1.1.0-36qnwt42Ax6Klz1loPrwT6
    lsp-types-1.1.0.0-32SjvBKGaGqDFUTTn7RNAX mtl-2.2.2
    network-uri-2.6.4.1-J4xKR5bjyl4EwNDOZsZp7W
    opentelemetry-0.6.1-JrZMB79nSqEKblZMXJfmKV
    parallel-3.2.2.0-HTf2o2horULDwL7cXUB9uv
    prettyprinter-1.7.0-4v6NNi97MghHBOLm6GGb0g
    prettyprinter-ansi-terminal-1.1.2-6MRzncuuO1L57LM67xRvWC
    regex-tdfa-1.3.1.0-JGQEzvFVQF39kClVWuccwj
    retrie-0.1.1.1-CYykbrtZXUID6jVSkeAUaN
    rope-utf16-splay-0.3.2.0-4IzFahWrkUV1WC4j35Yf4w
    safe-0.3.19-AfrHSVViU1189qUhjBUb5b
    safe-exceptions-0.1.7.1-8N30hAe6MZwJzbPrk8p7Qg
    shake-0.19.4-6oRNLp9Qg1p8j68D2D7EIh
    sorted-list-0.2.1.0-KBS8qjiSZwV37BCYdaPAMk
    sqlite-simple-0.4.18.0-A4z4XXJVscM4PWjTkvT8Q stm-2.5.0.0
    syb-0.7.2.1-IHzu7I6ikCoGwAbnu6OBXz text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.14-1QIa4IGRXl5KxIfaiuJwUj
    unliftio-core-0.2.0.1-9GVcmaajsglG88oErAZOTV
    unordered-containers-0.2.13.0-3zq6q89i05VC2WIEWnQHAq
    utf8-string-1.0.2-7pqBkplor7g1hjwTjVt3SV
    vector-0.12.2.0-6U3O0KyAitXJQBfpQxiTi1

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

